<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{B12702AD-ABFB-343A-A199-8E24837244A3}</ProjectGuid>
    <Keyword>QtVS_v304</Keyword>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
    <QtMsBuild Condition="'$(QtMsBuild)'=='' OR !Exists('$(QtMsBuild)\qt.targets')">$(MSBuildProjectDirectory)\QtMsBuild</QtMsBuild>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <Import Project="$(QtMsBuild)\qt_defaults.props" Condition="Exists('$(QtMsBuild)\qt_defaults.props')" />
  <PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <QtModules>core;network;gui;widgets</QtModules>
  </PropertyGroup>
  <PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <QtInstall>5.15.2_msvc2019_64</QtInstall>
    <QtModules>core;network;gui;widgets</QtModules>
  </PropertyGroup>
  <PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <QtModules>core;network;gui;widgets</QtModules>
  </PropertyGroup>
  <PropertyGroup Label="QtSettings" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <QtInstall>5.14.2_msvc2017_64</QtInstall>
    <QtModules>core;network;gui;widgets</QtModules>
  </PropertyGroup>
  <Target Name="QtMsBuildNotFound" BeforeTargets="CustomBuild;ClCompile" Condition="!Exists('$(QtMsBuild)\qt.targets') OR !Exists('$(QtMsBuild)\Qt.props')">
    <Message Importance="High" Text="QtMsBuild: could not locate qt.targets, qt.props; project may not build correctly." />
  </Target>
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>14.0.25431.1</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <OutDir>$(SolutionDir)$(Platform)\$(Configuration)\</OutDir>
    <IncludePath>$(IncludePath)</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>UNICODE;_UNICODE;WIN32;WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;.\GeneratedFiles;.\GeneratedFiles\$(ConfigurationName);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <Optimization>Disabled</Optimization>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <QtMoc>
      <ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription>
      <DynamicSource>output</DynamicSource>
      <QtMocDir>.\GeneratedFiles\$(ConfigurationName)</QtMocDir>
      <QtMocFileName>moc_%(Filename).cpp</QtMocFileName>
    </QtMoc>
    <QtRcc>
      <InitFuncName>%(Filename)</InitFuncName>
      <Compression>default</Compression>
      <NoCompression>true</NoCompression>
      <ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription>
      <QtRccDir>.\GeneratedFiles</QtRccDir>
      <QtRccFileName>qrc_%(Filename).cpp</QtRccFileName>
    </QtRcc>
    <QtUic>
      <ExecutionDescription>Uic'ing %(Identity)...</ExecutionDescription>
      <QtUicDir>.\GeneratedFiles</QtUicDir>
      <QtUicFileName>ui_%(Filename).h</QtUicFileName>
    </QtUic>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PreprocessorDefinitions>UNICODE;_UNICODE;WIN32;WIN64;NOMINMAX;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;.\GeneratedFiles;.\GeneratedFiles\$(ConfigurationName);G:\code_library\c\opencv\4.3\build-opencv-cpu\include;$(ProjectDir)MvIMPACT;$(ProjectDir)Pylon6.2\include;$(ProjectDir)Common;$(ProjectDir)modbus;$(ProjectDir)MVS3.2.1\Include;$(ProjectDir)PLC;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <Optimization>MaxSpeed</Optimization>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <LanguageStandard>stdcpp14</LanguageStandard>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
      <AdditionalLibraryDirectories>G:\code_library\c\opencv\4.3\build-opencv-cpu\x64\vc15\lib;$(ProjectDir)Pylon6.2\lib\Win64;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <AdditionalDependencies>opencv_world430d.lib;modbus.lib;mvDeviceManager.lib;MvCameraControl.lib;%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <QtMoc>
      <ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription>
      <DynamicSource>output</DynamicSource>
      <QtMocDir>.\GeneratedFiles\$(ConfigurationName)</QtMocDir>
      <QtMocFileName>moc_%(Filename).cpp</QtMocFileName>
    </QtMoc>
    <QtRcc>
      <InitFuncName>%(Filename)</InitFuncName>
      <Compression>default</Compression>
      <NoCompression>true</NoCompression>
      <ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription>
      <QtRccDir>.\GeneratedFiles</QtRccDir>
      <QtRccFileName>qrc_%(Filename).cpp</QtRccFileName>
    </QtRcc>
    <QtUic>
      <ExecutionDescription>Uic'ing %(Identity)...</ExecutionDescription>
      <QtUicDir>.\GeneratedFiles</QtUicDir>
      <QtUicFileName>ui_%(Filename).h</QtUicFileName>
    </QtUic>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PreprocessorDefinitions>UNICODE;_UNICODE;WIN32;WIN64;QT_NO_DEBUG;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;.\GeneratedFiles;.\GeneratedFiles\$(ConfigurationName);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <DebugInformationFormat />
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <AdditionalDependencies>%(AdditionalDependencies)</AdditionalDependencies>
    </Link>
    <QtMoc>
      <ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription>
      <DynamicSource>output</DynamicSource>
      <QtMocDir>.\GeneratedFiles\$(ConfigurationName)</QtMocDir>
      <QtMocFileName>moc_%(Filename).cpp</QtMocFileName>
    </QtMoc>
    <QtRcc>
      <InitFuncName>%(Filename)</InitFuncName>
      <Compression>default</Compression>
      <NoCompression>true</NoCompression>
      <ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription>
      <QtRccDir>.\GeneratedFiles</QtRccDir>
      <QtRccFileName>qrc_%(Filename).cpp</QtRccFileName>
    </QtRcc>
    <QtUic>
      <ExecutionDescription>Uic'ing %(Identity)...</ExecutionDescription>
      <QtUicDir>.\GeneratedFiles</QtUicDir>
      <QtUicFileName>ui_%(Filename).h</QtUicFileName>
    </QtUic>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PreprocessorDefinitions>UNICODE;_UNICODE;WIN32;WIN64;QT_NO_DEBUG;NDEBUG;NOMINMAX;WIN32_LEAN_AND_MEAN;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;.\GeneratedFiles;.\GeneratedFiles\$(ConfigurationName);$(ProjectDir)MvIMPACT;$(ProjectDir)OpenCV455Simple\include;$(ProjectDir)Common;$(ProjectDir)Pylon6.2\include;$(ProjectDir)modbus;$(ProjectDir)MVS3.2.1\Include;$(ProjectDir)PLC;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <TreatWChar_tAsBuiltInType>true</TreatWChar_tAsBuiltInType>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <LanguageStandard>stdcpp14</LanguageStandard>
      <Optimization>MaxSpeed</Optimization>
      <SupportJustMyCode>false</SupportJustMyCode>
      <DisableSpecificWarnings>4819;%(DisableSpecificWarnings)</DisableSpecificWarnings>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <OutputFile>$(OutDir)\$(ProjectName).exe</OutputFile>
      <AdditionalLibraryDirectories>$(ProjectDir)OpenCV455Simple\win64\vc15\lib;$(ProjectDir)Pylon6.2\lib\Win64;$(ProjectDir)MvIMPACT\lib\win64;$(ProjectDir)MVS3.2.1\lib\win64;$(ProjectDir)modbus;Ws2_32.lib;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <AdditionalDependencies>opencv_world455.lib;modbus.lib;mvDeviceManager.lib;MvCameraControl.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <IgnoreSpecificDefaultLibraries>
      </IgnoreSpecificDefaultLibraries>
      <ImportLibrary>$(Configuration)\$(TargetName).lib</ImportLibrary>
    </Link>
    <QtMoc>
      <ExecutionDescription>Moc'ing %(Identity)...</ExecutionDescription>
      <DynamicSource>output</DynamicSource>
      <QtMocDir>.\GeneratedFiles\$(ConfigurationName)</QtMocDir>
      <QtMocFileName>moc_%(Filename).cpp</QtMocFileName>
    </QtMoc>
    <QtRcc>
      <InitFuncName>%(Filename)</InitFuncName>
      <Compression>default</Compression>
      <NoCompression>true</NoCompression>
      <ExecutionDescription>Rcc'ing %(Identity)...</ExecutionDescription>
      <QtRccDir>.\GeneratedFiles</QtRccDir>
      <QtRccFileName>qrc_%(Filename).cpp</QtRccFileName>
    </QtRcc>
    <QtUic>
      <ExecutionDescription>Uic'ing %(Identity)...</ExecutionDescription>
      <QtUicDir>.\GeneratedFiles</QtUicDir>
      <QtUicFileName>ui_%(Filename).h</QtUicFileName>
    </QtUic>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="alarmdialog.cpp" />
    <ClCompile Include="AlarmInfo.cpp" />
    <ClCompile Include="alg_jd.cpp" />
    <ClCompile Include="ASyncQueue.cpp" />
    <ClCompile Include="balluffcamera.cpp" />
    <ClCompile Include="basecamera.cpp" />
    <ClCompile Include="baslercamera.cpp" />
    <ClCompile Include="camera_glue.cpp" />
    <ClCompile Include="CaptureThread.cpp" />
    <ClCompile Include="CaptureThreadBasler.cpp" />
    <ClCompile Include="CaptureThreadHIK.cpp" />
    <ClCompile Include="change_shift.cpp" />
    <ClCompile Include="cigarette.cpp" />
    <ClCompile Include="Cleanthread.cpp" />
    <ClCompile Include="common.cpp" />
    <ClCompile Include="db_label.cpp" />
    <ClCompile Include="debugthread.cpp" />
    <ClCompile Include="dialogin.cpp" />
    <ClCompile Include="dialogsetup.cpp" />
    <ClCompile Include="dialogsetuppasswd.cpp" />
    <ClCompile Include="exportData.cpp" />
    <ClCompile Include="hikcamera.cpp" />
    <ClCompile Include="Logthread.cpp" />
    <ClCompile Include="main.cpp" />
    <ClCompile Include="output_statistic.cpp" />
    <ClCompile Include="plcsetup.cpp" />
    <ClCompile Include="PLC\PLCDevice.cpp" />
    <ClCompile Include="plc_item.cpp" />
    <ClCompile Include="SyncQueue.cpp" />
    <ClCompile Include="SyncWorkThread.cpp" />
    <ClCompile Include="threadReceive.cpp" />
    <ClCompile Include="threadSend.cpp" />
    <ClCompile Include="threadSendTCP.cpp" />
    <ClCompile Include="tinyxml2.cpp" />
    <ClCompile Include="workthread.cpp" />
  </ItemGroup>
  <ItemGroup>
    <QtMoc Include="cigarette.h" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="cigarette.ui" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="FtpManager.h" />
    <QtMoc Include="SyncWorkThread.h" />
    <ClInclude Include="threadSendTCP.h" />
    <ClInclude Include="tinyxml2.h" />
    <QtMoc Include="threadReceive.h" />
    <CustomBuild Include="threadSend.h">
      <Message Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </Command>
      <Message Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </Command>
      <Message Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
      </Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
      </Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
      </Command>
      <Message Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
      </Message>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
      </Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
      </Command>
    </CustomBuild>
    <QtMoc Include="workthread.h" />
    <QtMoc Include="alarmdialog.hpp" />
    <ClInclude Include="AlarmInfo.h" />
    <ClInclude Include="alg_jd.h" />
    <ClInclude Include="ASyncQueue.h" />
    <ClInclude Include="balluffcamera.h" />
    <QtMoc Include="CaptureThread.h" />
    <ClInclude Include="baslercamera.h" />
    <QtMoc Include="CaptureThreadBasler.h" />
    <QtMoc Include="CaptureThreadHIK.h" />
    <QtMoc Include="camera_glue.h" />
    <QtMoc Include="change_shift.h" />
    <QtMoc Include="Cleanthread.h" />
    <ClInclude Include="common.h" />
    <QtMoc Include="plcsetup.hpp" />
    <QtMoc Include="db_label.h" />
    <QtMoc Include="debugthread.h" />
    <QtMoc Include="dialogin.hpp" />
    <QtMoc Include="exportData.h" />
    <ClInclude Include="hikcamera.h" />
    <QtMoc Include="output_statistic.h" />
    <QtMoc Include="Logthread.h" />
    <ClInclude Include="PLC\PLCDevice.h" />
    <ClInclude Include="plc_item.h" />
    <QtMoc Include="savethread.h" />
    <ClInclude Include="SyncQueue.h" />
    <QtMoc Include="dialogsetuppasswd.hpp" />
    <QtMoc Include="dialogsetup.hpp" />
    <ClInclude Include="basecamera.h" />
  </ItemGroup>
  <ItemGroup>
    <QtRcc Include="cigarette.qrc" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="dialogsetuppasswd.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="dialogsetup.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="plcsetup.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="alarmdialog.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="dialogin.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="camera_glue.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="change_shift.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtUic Include="output_statistic.ui" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <Import Project="$(QtMsBuild)\qt.targets" Condition="Exists('$(QtMsBuild)\qt.targets')" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties />
    </VisualStudio>
  </ProjectExtensions>
</Project>